#-------------------------------------------------
#
# Project created by QtCreator 2019-02-10T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets dbus x11extras

TEMPLATE = app
TARGET   = corestuff

VERSION  = 4.2.0

INCLUDEPATH += activities/ apps/ home/ pins/ sessions/ tasks/

# Library section
unix:!macx: LIBS += -lcprime-widgets
unix:!macx: LIBS += -lcprime-core
unix:!macx: LIBS += -lcsys

# For KGlobalAccel
INCLUDEPATH += /usr/include/KF5/KGlobalAccel/
LIBS += -lKF5GlobalAccel

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR       = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        BINDIR        = $$PREFIX/bin

        target.path   = $$BINDIR

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = org.cubocore.CoreStuff.desktop

        icons.path    = $$PREFIX/share/icons/hicolor/scalable/apps/
        icons.files   = org.cubocore.CoreStuff.svg

        background.path = $$PREFIX/share/coreapps/background/
        background.files = background/default.svg

        autostart.path  = /etc/xdg/autostart/
        autostart.files = "org.cubocore.CoreStuff.desktop"

        INSTALLS     += target icons desktop background autostart
}

FORMS += \
    activities/pageactivites.ui \
    apps/pageapps.ui \
    corestuff.ui \
    home/pagehome.ui \
    pins/pagepins.ui \
    sessions/pagesessions.ui \
    sessions/sessionsavedialog.ui \
    tasks/pagetasks.ui

HEADERS += \
    activities/pageactivites.h \
    apps/pageapps.h \
    button.h \
    corestuff.h \
    gesturehandler.h \
    powerdlg.h \
    home/pagehome.h \
    pins/pagepins.h \
    settings.h \
    tasks/pagetasks.h \
    tasks/x11tasks.h \
    sessions/pagesessions.h \
    sessions/sessionsavedialog.h \
    slidingstackedwidget.h

SOURCES += \
    activities/pageactivites.cpp \
    apps/pageapps.cpp \
    button.cpp \
    corestuff.cpp \
    gesturehandler.cpp \
    powerdlg.cpp \
    home/pagehome.cpp \
    main.cpp \
    settings.cpp \
    tasks/pagetasks.cpp \
    tasks/x11tasks.cpp \
    pins/pagepins.cpp \
    sessions/pagesessions.cpp \
    sessions/sessionsavedialog.cpp \
    slidingstackedwidget.cpp


# X11
# =======

INCLUDEPATH += tasks/X11/Headers tasks/X11/Client tasks/X11/EventFilter tasks/X11/Helpers tasks/X11/Session
DEPENDPATH += tasks/X11/Headers tasks/X11/Client tasks/X11/EventFilter tasks/X11/Helpers tasks/X11/Session

LIBS += -lxcb -lxcb-ewmh -lxcb-icccm -lX11 -lXi -lXcomposite

# Input
HEADERS += tasks/X11/Headers/DesQClient.hpp
HEADERS += tasks/X11/Headers/DesQEventFilter.hpp
HEADERS += tasks/X11/Headers/DesQWMSession.hpp

SOURCES += tasks/X11/Client/DesQClientX11.cpp
SOURCES += tasks/X11/EventFilter/DesQEventFilterX11.cpp
SOURCES += tasks/X11/Session/DesQWMSessionX11.cpp
SOURCES += tasks/X11/Helpers/X11Helpers.cpp
